package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 比赛结果表
 * @Author y
 * @Date 2023/3/24 14:58
 */
@Data
@Entity
@Table(name = "follow_deal_score_result")
public class FollowDealScoreResultTable extends BaseTable {

    private Long customId;

    private Long cId;

    private Long login;
    /**
     * 比赛记录表
     */
    private Long periodId;
    /**
     * 排名
     */
    private Integer ranking;
    /**
     * 手数
     */
    private Float volume;
    /**
     * 累计净值得分
     */
    private Float cumulativeEquityScore;
    /**
     * 本金收益率得分
     */
    private Float principalScore;
    /**
     * 最大回撤率得分
     */
    private Float withdrawalScore;
    /**
     * 累计净利润得分
     */
    private Float cumulativeProfitScore;
    /**
     * 累计手数得分
     */
    private Float volumeScore;
    /**
     * 总得分
     */
    private Float totalScore;
    /**
     * 当前周期是否结束
     */
    private Integer isPeriodEnd;

    private Integer periodType;

    private Date date;

    public static FollowDealScoreResultTable getInstance() {
        FollowDealScoreResultTable table = new FollowDealScoreResultTable();
        table.setRanking(0);
        table.setVolume(0F);
        table.setCumulativeEquityScore(0F);
        table.setPrincipalScore(0F);
        table.setWithdrawalScore(0F);
        table.setCumulativeProfitScore(0F);
        table.setVolumeScore(0F);
        table.setTotalScore(0F);
        table.setIsPeriodEnd(0);
        return table;
    }


}
